apiVersion: apps/v1
kind: Deployment
metadata:
  name: whoami
  labels:
    app: whoami
    env: dev
spec:
  replicas: 1
  selector:
    matchLabels:
      app: whoami
  template:
    metadata:
      labels:
        app: whoami
        env: dev
    spec:
      containers:
      - name: whoami
        image: containous/whoami
        ports:
        - containerPort: 80
